#ifndef _PROFILEWATERS_H
#define _PROFILEWATERS_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class ProfileWaters;
}

class ProfileWaters : public QDialog
{
    Q_OBJECT

public:
    explicit ProfileWaters(QWidget *parent = nullptr);
    ~ProfileWaters();

signals:
    void setStatus(QString);

private slots:
    void on_insertButton_clicked();
    void on_editButton_clicked();
    void refreshTable(void);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableWaters;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;
    QPushButton *insertButton;

    void edit(int recno);
};

#endif
